DISPLAY
function()
	local repIndex = 0
	local repName = aura_env.repName
	local repColor = "|cFF00FF00"
	for i = 1, GetNumFactions() do
		local name,_,_,_,repmax,rep = GetFactionInfo(i)
		if name == repName then 
			repIndex = i 
		end
	end
	local name,_,_,_,repmax,rep = GetFactionInfo(repIndex)
	if math.floor(GetTime() - aura_env.repTime) > 30 then
		repColor = "|cFFFF0000"
	end
	return name .. " " .. rep .. "/" .. repmax .. " +" .. aura_env.repChange .. " " .. repColor .. math.floor(GetTime() - aura_env.repTime)
end

CHAT_MSG_COMBAT_FACTION_CHANGE
function(_,msg)
	local name,change = msg:match("Reputation with ([%a+%s*%p*]+) increased by (%d+)")
	aura_env.repName = name
	aura_env.repChange = change
	aura_env.repTime = GetTime()
end

aura_env.repName = ""
aura_env.repChange = 0
aura_env.repTime = GetTime()